Package org.pgpainless.algorithm

# Enum Class OpenPgpPacket

java.lang.Object
java.lang.Enum<OpenPgpPacket>
org.pgpainless.algorithm.OpenPgpPacket

All Implemented Interfaces:
  `Serializable`, `Comparable<OpenPgpPacket>`, `Constable`

public enum OpenPgpPacket extends Enum<OpenPgpPacket>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMP`
`EXP_1`
`EXP_2`
`EXP_3`
`EXP_4`
`LIT`
`MARKER`
`MDC`
`OPS`
`PK`
`PKESK`
`PSK`
`SED`
`SEIPD`
`SIG`
`SK`
`SKESK`
`SSK`
`TRUST`
`UATTR`
`UID`

## Method Summary

Modifier and Type
Method
Description
`static OpenPgpPacket`
`fromTag(int tag)`
`static OpenPgpPacket`
`requireFromTag(int tag)`
`static OpenPgpPacket`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OpenPgpPacket[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PKESK

public static final OpenPgpPacket PKESK

### SIG

public static final OpenPgpPacket SIG

### SKESK

public static final OpenPgpPacket SKESK

### OPS

public static final OpenPgpPacket OPS

### SK

public static final OpenPgpPacket SK

### PK

public static final OpenPgpPacket PK

### SSK

public static final OpenPgpPacket SSK

### COMP

public static final OpenPgpPacket COMP

### SED

public static final OpenPgpPacket SED

### MARKER

public static final OpenPgpPacket MARKER

### LIT

public static final OpenPgpPacket LIT

### TRUST

public static final OpenPgpPacket TRUST

### UID

public static final OpenPgpPacket UID

### PSK

public static final OpenPgpPacket PSK

### UATTR

public static final OpenPgpPacket UATTR

### SEIPD

public static final OpenPgpPacket SEIPD

### MDC

public static final OpenPgpPacket MDC

### EXP_1

public static final OpenPgpPacket EXP_1

### EXP_2

public static final OpenPgpPacket EXP_2

### EXP_3

public static final OpenPgpPacket EXP_3

### EXP_4

public static final OpenPgpPacket EXP_4

## Method Details

### values

public static OpenPgpPacket[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OpenPgpPacket valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromTag

@Nullable public static OpenPgpPacket fromTag(int tag)

### requireFromTag

@Nonnull public static OpenPgpPacket requireFromTag(int tag)